import * as React from 'react';
declare type Props = {
    /**
     * Callback to be called when the button is pressed
     */
    onPress: () => void;
    /**
     * Label to be displayed on the button
     */
    label: string;
    /**
     * Whether the button is disabled or not
     *
     */
    disabled?: boolean;
};
export declare const PrimaryButton: React.FC<Props>;
export {};
//# sourceMappingURL=PrimaryButton.d.ts.map