import * as React from 'react';
export declare type CheckBoxProps = {
    onValueChange: (value: boolean) => void;
    disabled?: boolean;
    /**
     * State of CheckBox
     */
    checked: boolean;
    /**
     * Color of border when unchecked
     */
    uncheckedColor?: string;
    /**
     * Color of CheckBox
     */
    color?: string;
};
/**
 * CheckBox Component
 */
export declare const CheckBox: React.FC<CheckBoxProps>;
//# sourceMappingURL=CheckBox.d.ts.map