"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckBoxItem = void 0;
const React = __importStar(require("react"));
const react_native_1 = require("react-native");
const CheckBox_1 = require("./CheckBox");
const Utils_1 = require("../Utils");
const Typography_1 = require("../Typography");
const styles = react_native_1.StyleSheet.create({
    container: {
        flexDirection: 'row',
        alignItems: 'center',
    },
});
const CheckBoxItem = (_a) => {
    var { label, onValueChange, textColor, checked, disabled } = _a, rest = __rest(_a, ["label", "onValueChange", "textColor", "checked", "disabled"]);
    const handleValueChange = React.useCallback(() => {
        onValueChange(!checked);
    }, [checked, onValueChange]);
    return (React.createElement(react_native_1.Pressable, { onPress: handleValueChange, disabled: disabled },
        React.createElement(react_native_1.View, { style: styles.container },
            React.createElement(CheckBox_1.CheckBox, Object.assign({ checked: checked, disabled: disabled, onValueChange: onValueChange }, rest)),
            React.createElement(Utils_1.Margin, { size: "xsmall" }),
            React.createElement(Typography_1.Typography, { color: textColor }, label))));
};
exports.CheckBoxItem = CheckBoxItem;
