export declare const DefaultFontSize: {
    readonly xxsmall: 8;
    readonly xsmall: 10;
    readonly small: 14;
    readonly medium: 16;
    readonly large: 20;
    readonly xlarge: 24;
    readonly xxlarge: 40;
};
export declare type FontSize = keyof typeof DefaultFontSize;
export declare const DefaultSpaceSize: {
    readonly none: 0;
    readonly xxsmall: 2;
    readonly xsmall: 4;
    readonly small: 8;
    readonly medium: 16;
    readonly large: 24;
    readonly xlarge: 32;
    readonly xxlarge: 48;
};
export declare type SpaceSize = keyof typeof DefaultSpaceSize;
//# sourceMappingURL=size.d.ts.map