"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrimaryButton = void 0;
const React = __importStar(require("react"));
const react_native_1 = require("react-native");
const BaseButton_1 = require("./BaseButton");
const Themes_1 = require("../Themes");
const Typography_1 = require("../Typography");
const styles = react_native_1.StyleSheet.create({
    container: {
        borderRadius: 8,
    },
    disabled: {
        opacity: 0.4,
    },
});
const PrimaryButton = ({ onPress, label, disabled }) => {
    const { primaryColor, white } = (0, Themes_1.useColors)();
    const spaceSize = (0, Themes_1.useSpaceSizes)();
    return (React.createElement(BaseButton_1.BaseButton, { style: [
            styles.container,
            { padding: spaceSize.medium, backgroundColor: primaryColor },
            disabled ? styles.disabled : styles.container,
        ], onPress: onPress },
        React.createElement(Typography_1.Typography, { color: white }, label)));
};
exports.PrimaryButton = PrimaryButton;
