"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isIPad = exports.isAndroid = exports.isIOS = exports.isWeb = void 0;
const react_native_1 = require("react-native");
/**
 * isWeb
 * - true if platform is Web
 */
exports.isWeb = react_native_1.Platform.OS === 'web';
/**
 * isIOS
 * - true if platform is iOS
 */
exports.isIOS = react_native_1.Platform.OS === 'ios';
/**
 * isAndroid
 * - true if platform is Android
 */
exports.isAndroid = react_native_1.Platform.OS === 'android';
/**
 * isIpad
 * - true if platform is iPad
 */
exports.isIPad = react_native_1.Platform.OS === 'ios' && react_native_1.Platform.isPad;
